aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
commit76ffb781ed7a917f23b67454e9f950e5e3b83527 (patch)
tree94fa8e1ddc7cb9ef80b78ea7896a5845f074f95b /sci-visualization
parentmove stuff to root (diff)
downloadsci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.gz
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.bz2
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.zip
moved overlay to new directory
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@979 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/gle/ChangeLog22
-rw-r--r--sci-visualization/gle/Manifest13
-rw-r--r--sci-visualization/gle/files/64gle-gentoo.el4
-rw-r--r--sci-visualization/gle/files/gle-4.0.12-configure.patch12
-rw-r--r--sci-visualization/gle/gle-4.0.12.ebuild94
-rw-r--r--sci-visualization/gle/gle-4.1.1.ebuild105
-rw-r--r--sci-visualization/gle/metadata.xml11
-rw-r--r--sci-visualization/nodemon/ChangeLog12
-rw-r--r--sci-visualization/nodemon/Manifest4
-rw-r--r--sci-visualization/nodemon/metadata.xml14
-rw-r--r--sci-visualization/nodemon/nodemon-0.3.5.ebuild33
11 files changed, 324 insertions, 0 deletions
diff --git a/sci-visualization/gle/ChangeLog b/sci-visualization/gle/ChangeLog
new file mode 100644
index 000000000..feb911a2d
--- /dev/null
+++ b/sci-visualization/gle/ChangeLog
@@ -0,0 +1,22 @@
+# ChangeLog for sci-visualization/gle
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*gle-4.1.1 (09 Jan 2008)
+
+ 09 Jan 2008; Andrey Grozin <A.G.Grozin@inp.nsk.su>
+ +gle-4.1.1.ebuild, -gle-4.0.11.ebuild, -files/gle-4.0.11-make.patch:
+ Version bump, cleaning an old version
+
+*gle-4.0.12 (21 Nov 2006)
+
+ 21 Nov 2006; Andrey Grozin <A.G.Grozin@inp.nsk.su>
+ +gle-4.0.12.ebuild, +files/gle-4.0.12-configure.patch:
+ version bump, several new USE flags
+
+*gle-4.0.11 (14 Apr 2006)
+
+ 14 Apr 2006; Sebastien Fabbro <seb@ist.utl.pt>
+ +metadata.xml, +gle-4.0.11.ebuild: initial import.
+ Closes bug #128322.
+ Thanks for Andrey Groznin <a.g.grozin@inp.nsk.su> for initial ebuild.
diff --git a/sci-visualization/gle/Manifest b/sci-visualization/gle/Manifest
new file mode 100644
index 000000000..bf9dd9a98
--- /dev/null
+++ b/sci-visualization/gle/Manifest
@@ -0,0 +1,13 @@
+AUX 64gle-gentoo.el 123 RMD160 1cc54da935a7e4cb743288c4006aaeb6bce20ffb SHA1 454c79bfc609d07e43ca6025821cca3fea5a4d3b SHA256 8192517aa6fddd397260c38f651f3fa1cf62777b4cf205efd82923aa2f64136d
+AUX gle-4.0.12-configure.patch 369 RMD160 a9075098b28bdad770962553fa50db11adf3ecd7 SHA1 a2ebf4f07fb09da54aa04752d7b58fd044bc7593 SHA256 a8024ea2803a37e7da269a8915f1a70ca054e3ab9de03a463cb19d5c30baed7c
+DIST GLE-4.0.12-pre1-manual.pdf 2445223 RMD160 a8ff78177b4f2f7fb3251a5c6e3177308063cb52 SHA1 df8149833b6eec748ee164a3690358f40b95fe7f SHA256 6e9a87930394996b0bb44053d8725f4038ee7109976408692d448df0f0eea68b
+DIST GLE-4.0.12-src.zip 1515556 RMD160 5b8ccc9bdea839e87e8ca3e2060c48168e65d2fe SHA1 b62323d365d83a8dc4ab4d3402376f4c9e64e7e1 SHA256 68690798c624c74e547affe6a0acb4b657efc89c74f0e25f0241a9407ff704fd
+DIST GLE-4.0.13-manual.pdf 2508931 RMD160 3236ffcad21c7e1efe5ce091c6f7d5614abf1d5f SHA1 cec49d3bc02c5daaaf19a92ad0e62128f7809d84 SHA256 74124b9bf2f74f37ede86eaa348004be6d480b9c13e3f572e531c3cbcfb57083
+DIST GLE-4.1.1-src.zip 1842508 RMD160 66f2d64b3186733cfad153dc0605141cc1c08e13 SHA1 d05c62385baeff68ac1dbd5c928cc8ade8074ff5 SHA256 31b91ebd36223ceea86702c94490206562e12beba8932db373512c2485f35c37
+DIST GLEusersguide.pdf 2244780 RMD160 6f2b8814f100e3971737ad45d017144e5912fd4e SHA1 2039e6b255da68200b5f881f2554bbdd6e82034a SHA256 02c13fe038f8b4b7726ac3e6a74410e299f50cdccb2b040d7ed1fbc99b9cfbef
+DIST gle-emacs.el 8703 RMD160 3b2aa77e1fe6dfcef13d94aef1475787ce50f28e SHA1 888ddee47233037ae20293b4a3673467d5c48fc8 SHA256 c3f49ee2f286d5681c86bdca53121e0bc6609f8c61fe55dae2108032826332cc
+DIST vim_gle.zip 2121 RMD160 5ec2978642b81b7f67d1650bca109b5868bd7a71 SHA1 97f29783c57be10e0248f8b9ffe7ab1459032fe5 SHA256 b4913ba1303a6cf8feec3969d4fb391dfcf15adfc623fc8c61fc3834ea8d4941
+EBUILD gle-4.0.12.ebuild 2127 RMD160 d4b72419263cacac380f2737dbcdde72e8dbb3d6 SHA1 7062df79c86d803fd88d91bb4bfa7b30e68b7301 SHA256 742098bdd23a5b05b8651cae09eaac3da68e4ecc4b1190c660667d0d448a7dd0
+EBUILD gle-4.1.1.ebuild 2567 RMD160 2068ac975e671c08b973d442a534b9f1dd8b3244 SHA1 cf970a5fe162d7c057c886c9e6626443d00819cb SHA256 6bbd06921531c0e37270752d7da776a8a85041937a035f507c4d0ba325069b46
+MISC ChangeLog 712 RMD160 e422c3ef9b0af962f6ecd1a8ec60f81a7e33651f SHA1 9016f70dedac358d99a7cb56fe777ff9fb1c53e2 SHA256 c02d4f05144195d234148b3396df330fa2c724ca1126f0583a483bf6cfcd8a59
+MISC metadata.xml 432 RMD160 55382e811fc891e3e411a6120199e1fb84e72b66 SHA1 a790aeea002fc1e7c72766b0cd9c6fe9573120b7 SHA256 f4b150e9727150bba5b7490b254f8d602b474779f1597c0fac6c6334741b9103
diff --git a/sci-visualization/gle/files/64gle-gentoo.el b/sci-visualization/gle/files/64gle-gentoo.el
new file mode 100644
index 000000000..fcb527f40
--- /dev/null
+++ b/sci-visualization/gle/files/64gle-gentoo.el
@@ -0,0 +1,4 @@
+;; begin gle-mode
+(autoload 'gle-mode "gle-mode")
+(add-to-list 'auto-mode-alist '("\\.gle\\'" . gle-mode))
+;; end gle-mode
diff --git a/sci-visualization/gle/files/gle-4.0.12-configure.patch b/sci-visualization/gle/files/gle-4.0.12-configure.patch
new file mode 100644
index 000000000..ef0637f2c
--- /dev/null
+++ b/sci-visualization/gle/files/gle-4.0.12-configure.patch
@@ -0,0 +1,12 @@
+--- configure.orig 2006-09-14 00:41:37.000000000 +0200
++++ configure 2006-11-21 20:51:04.000000000 +0100
+@@ -2707,5 +2707,8 @@
+ else
+ ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lX11 -lXt -L$x_libraries $LIBS"
++if [ -n "$x_libraries" ]
++then LIBS="-lX11 -lXt -L$x_libraries $LIBS"
++else LIBS="-lX11 -lXt $LIBS"
++fi
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
diff --git a/sci-visualization/gle/gle-4.0.12.ebuild b/sci-visualization/gle/gle-4.0.12.ebuild
new file mode 100644
index 000000000..fb3d070e9
--- /dev/null
+++ b/sci-visualization/gle/gle-4.0.12.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils elisp-common qt4
+
+MY_P="GLE-${PV}"
+
+DESCRIPTION="Layout engine for scripts and graphics"
+HOMEPAGE="http://glx.sourceforge.net/"
+SRC_URI="mirror://sourceforge/glx/${MY_P}-src.zip
+ doc? ( http://jeans.studentenweb.org/${MY_P}-pre1-manual.pdf
+ mirror://sourceforge/glx/GLEusersguide.pdf )
+ emacs? ( http://glx.sourceforge.net/downloads/gle-emacs.el )"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="X qt4 jpeg png tiff doc emacs"
+
+DEPEND="sys-libs/ncurses
+ X? ( x11-libs/libX11 )
+ qt4? ( $(qt4_min_version 4.1) )
+ jpeg? ( media-libs/jpeg )
+ png? ( media-libs/libpng )
+ tiff? ( media-libs/tiff )
+ emacs? ( virtual/emacs )
+ app-arch/unzip"
+
+RDEPEND="virtual/ghostscript
+ virtual/latex-base
+ sys-libs/ncurses
+ X? ( x11-libs/libX11 )
+ qt4? ( $(qt4_min_version 4.1) )
+ jpeg? ( media-libs/jpeg )
+ png? ( media-libs/libpng )
+ tiff? ( media-libs/tiff )
+ emacs? ( virtual/emacs )"
+
+#### delete the next line when moving this ebuild to the main tree!
+RESTRICT="mirror"
+
+S="${WORKDIR}/gle4"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-configure.patch
+}
+
+src_compile() {
+ local qtconf="--without-qt"
+ use qt4 && qtconf="--with-qt=/usr"
+ econf \
+ $(use_with X x) \
+ $(use_with jpeg) \
+ $(use_with png) \
+ $(use_with tiff) \
+ ${qtconf} || die "econf failed"
+
+ # emake failed in src/gui (probably qmake stuff)
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc README.txt
+
+ if use qt4; then
+ newicon src/gui/images/gle_icon.png gle.png
+ make_desktop_entry qgle GLE gle
+ newdoc src/gui/readme.txt gui_readme.txt
+ fi
+
+ if use doc ; then
+ insinto /usr/share/doc/${PF}
+ doins "${DISTDIR}"/${MY_P}-pre1-manual.pdf \
+ "${DISTDIR}"/GLEusersguide.pdf
+ fi
+
+ if use emacs ; then
+ elisp-site-file-install "${DISTDIR}"/gle-emacs.el gle-mode.el
+ elisp-site-file-install "${FILESDIR}"/64gle-gentoo.el
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/sci-visualization/gle/gle-4.1.1.ebuild b/sci-visualization/gle/gle-4.1.1.ebuild
new file mode 100644
index 000000000..25b18626a
--- /dev/null
+++ b/sci-visualization/gle/gle-4.1.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils elisp-common qt4
+
+MY_P=GLE-${PV}
+DOC_VERSION="4.0.13"
+
+DESCRIPTION="Graphics Layout Engine"
+HOMEPAGE="http://glx.sourceforge.net/"
+SRC_URI="mirror://sourceforge/glx/${MY_P}-src.zip
+ doc? ( http://www.cs.kuleuven.be/~jan/gle/GLE-${DOC_VERSION}-manual.pdf
+ mirror://sourceforge/glx/GLEusersguide.pdf )
+ emacs? ( http://glx.sourceforge.net/downloads/gle-emacs.el )
+ vim-syntax? ( http://glx.sourceforge.net/downloads/vim_gle.zip )"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="X qt4 jpeg png tiff doc emacs vim-syntax"
+
+DEPEND="sys-libs/ncurses
+ X? ( x11-libs/libX11 )
+ qt4? ( $(qt4_min_version 4.1) )
+ jpeg? ( media-libs/jpeg )
+ png? ( media-libs/libpng )
+ tiff? ( media-libs/tiff )
+ emacs? ( virtual/emacs )
+ app-arch/unzip"
+
+RDEPEND="virtual/ghostscript
+ virtual/latex-base
+ sys-libs/ncurses
+ X? ( x11-libs/libX11 )
+ qt4? ( $(qt4_min_version 4.1) )
+ jpeg? ( media-libs/jpeg )
+ png? ( media-libs/libpng )
+ tiff? ( media-libs/tiff )
+ emacs? ( virtual/emacs )
+ vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
+
+#### delete the next line when moving this ebuild to the main tree!
+RESTRICT=mirror
+
+S="${WORKDIR}"/gle4
+
+src_compile() {
+ local qtconf="--without-qt"
+ use qt4 && qtconf="--with-qt=/usr"
+ econf \
+ $(use_with X x) \
+ $(use_with jpeg) \
+ $(use_with png) \
+ $(use_with tiff) \
+ ${qtconf} || die "econf failed"
+
+ # emake failed in src/gui (probably qmake stuff)
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc README.txt
+
+ if use qt4; then
+ newicon src/gui/images/gle_icon.png gle.png
+ make_desktop_entry qgle GLE gle
+ newdoc src/gui/readme.txt gui_readme.txt
+ fi
+
+ if use doc ; then
+ insinto /usr/share/doc/${PF}
+ doins "${DISTDIR}"/GLE-${DOC_VERSION}-manual.pdf \
+ "${DISTDIR}"/GLEusersguide.pdf
+ fi
+
+ if use emacs ; then
+ elisp-site-file-install "${DISTDIR}"/gle-emacs.el gle-mode.el
+ elisp-site-file-install "${FILESDIR}"/64gle-gentoo.el
+ fi
+
+ if use vim-syntax ; then
+ dodir /usr/share/vim/vimfiles/ftplugins \
+ /usr/share/vim/vimfiles/indent \
+ /usr/share/vim/vimfiles/syntax
+ cd ..
+ chmod 644 ftplugin/* indent/* syntax/*
+ insinto /usr/share/vim/vimfiles/ftplugins
+ doins ftplugin/*
+ insinto /usr/share/vim/vimfiles/indent
+ doins indent/*
+ insinto /usr/share/vim/vimfiles/syntax
+ doins syntax/*
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/sci-visualization/gle/metadata.xml b/sci-visualization/gle/metadata.xml
new file mode 100644
index 000000000..ba839edf3
--- /dev/null
+++ b/sci-visualization/gle/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+GLE (Graphics Layout Engine) is a high-quality graphics package for
+scientists, combining a user-friendly scripting language with a full
+range of facilities for producing publication-quality graphs,
+diagrams, posters and slides.
+</longdescription>
+</pkgmetadata>
diff --git a/sci-visualization/nodemon/ChangeLog b/sci-visualization/nodemon/ChangeLog
new file mode 100644
index 000000000..ea69b465e
--- /dev/null
+++ b/sci-visualization/nodemon/ChangeLog
@@ -0,0 +1,12 @@
+# ChangeLog for sci-visualization/nodemon
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 08 Nov 2007; Bryan Green <bryan.d.green@nasa.gov> ChangeLog:
+ ebuild accepts growler-latest dependency (part of my private overlay).
+ changed homepage and uri to point to sourceforge project.
+
+ 04 Nov 2007; Bryan Green <bryan.d.green@nasa.gov> ChangeLog:
+ new ebuild
+ nodemon-0.3.5.ebuild: added
+
diff --git a/sci-visualization/nodemon/Manifest b/sci-visualization/nodemon/Manifest
new file mode 100644
index 000000000..5f4f1c930
--- /dev/null
+++ b/sci-visualization/nodemon/Manifest
@@ -0,0 +1,4 @@
+DIST nodemon-0.3.5.tar.gz 697412 RMD160 fd9f1a7cb30f25094ea811d89e018d1347d606c3 SHA1 ebf1bfee415ce2c34ac0cbd6c39a9658ae060dd0 SHA256 c8c9eea2860a0a15910b8aed4aa0a58c5175b8750d03bd51eb0beff16e070f1f
+EBUILD nodemon-0.3.5.ebuild 966 RMD160 616eab65fbcd68d655d3e10530ffd05d84e6b14a SHA1 28eaa4b9c8d680e33182ee215d836e89f520960f SHA256 2d32837a735999ed2fb846a96cee1f881489e4a6f143913205f9dddf47a117b6
+MISC ChangeLog 430 RMD160 fd7e7481131e91c5b7c090703c61bfc38b6aca9c SHA1 8302780c4463f41af07627a0115d507ab3362e06 SHA256 f392b03598ba36bd3a780429dd01dda31322d567a9523e1e9a2dfccf348d7e38
+MISC metadata.xml 440 RMD160 ecc600fd2994ef0804022c9e6dd2665cd073fa33 SHA1 75f2861e0e681bcc2a44b664e16422870ba23535 SHA256 d91ed820e860959776f222d85196c9a6ce43b792aa9f3602a9443959ba7cb6b7
diff --git a/sci-visualization/nodemon/metadata.xml b/sci-visualization/nodemon/metadata.xml
new file mode 100644
index 000000000..602fb4c9d
--- /dev/null
+++ b/sci-visualization/nodemon/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<maintainer>
+<email>bryan.d.green@nasa.gov</email>
+<name>Bryan Green</name>
+</maintainer>
+<longdescription>
+NodeMon is a distributed visualization tool for monitoring system resource
+utilization. It is primarily intended for clusters and large-scale NUMA
+systems.
+</longdescription>
+</pkgmetadata>
diff --git a/sci-visualization/nodemon/nodemon-0.3.5.ebuild b/sci-visualization/nodemon/nodemon-0.3.5.ebuild
new file mode 100644
index 000000000..8d0842d25
--- /dev/null
+++ b/sci-visualization/nodemon/nodemon-0.3.5.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="NodeMon is a distributed visualization tool for monitoring system resource utilization. It is primarily intended for clusters and large-scale NUMA systems"
+#HOMEPAGE="http://www.nas.nasa.gov/~bgreen/nodemon/"
+#SRC_URI="${HOMEPAGE}/downloads/nodemon-${PV}.tar.gz"
+HOMEPAGE="http://nodemon.sourceforge.net/"
+SRC_URI="http://downloads.sourceforge.net/nodemon/nodemon-${PV}.tar.gz"
+
+LICENSE="NOSA"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk pbs"
+
+RDEPEND="|| ( >=dev-cpp/growler-arch-0.3.7.1 dev-cpp/growler-latest )
+ gtk? ( >=x11-libs/gtkglext-1.0 >=x11-libs/gtk+-2 )"
+
+DEPEND="${RDEPEND}"
+
+src_compile() {
+ econf \
+ $(use_enable gtk) \
+ $(use_with pbs) \
+ || die "could not configure"
+ emake || die "make failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+ dodoc README NEWS AUTHORS NOSA ChangeLog
+}
+